このページは福井県立大学の田中求之が2006年1月まで運用していた Mac のサーバ運用に関する会議室 「Web Scripter's Meeting」の記録です。情報が古くなっている可能性がありますのでご注意ください。

Tune up the WebSTAR 4.2 and 4D v6.5

発言者:おがさわら@東京工科大学
( Date Monday, February 28, 2000 20:01:33 )


ようやく、転職してから初めて、自分でWebサーバ+DBサーバを「部内のため」
という名目で導入できることになりました。

データベースも導入したいので、4Dも導入したのですが、そのまま4DのWeb
サーバ機能を使うのは、ちょっと怖い(根拠なし)ので、WebSTARのバック
で動かそうと考えています。

とりあえず、4Dのインストールはまだ先なので、WebSTAR4.2をPowerMac8600
/200にインストールしました。不必要だと思われるPlug-Insははずしてあり
ますが、もっとチューニングするためになにかやっておくべきことはありま
すでしょうか?

#WebSTARって1.3.1以来使っていないんです...(^^;

あ、OSはMac OS 8.6で、OTは2.0.3です。
もしかしたら、Mac OS 9の方がいいんですかね?

たまちゃん さんからのコメント
( Monday, February 28, 2000 22:33:26 )

WebSTAR 自体のチューニングアップについては,下記などをご参照ください。

また,Admin の Performance のところで,Better Server と Better CGI を
選択できるようになっています。WebSTAR 単体で使ったり,Plug-In のみを
使う場合には,前者の方に比重を,CGI を多用する場合には後者に比重を移
せばいいと思います。

OS 9 にする必要性は必ずしもないと思いますが,OT のバージョンは最新の
もの(2.6)にした方がいいと思います(速度とセキュリティーの面で)。
当方では,8.6 + OT 2.6 の組み合わせで2月近く運用しています。

→  Improving WebSTAR Performance

おがさわら@東京工科大学 さんからのコメント
( Tuesday, February 29, 2000 11:03:30 )

ありがとうございます>たまちゃん(さん、ってつけるのヘンだから
敬称略ってことで(^^;)

で、Mac OS 8.6にOT2.6をインストールするってことは、Mac OS 9
のものを入れるってことですよね。だったら、Mac OS 9をインストー
ルしちゃおうかと思っています。

#どうでもいいんですが、OS 9って書くとどうしても、Microwareの
#OS-9を思い出してしまう....

Mac OS 8.6ベースで運用することの意味(OTは2.6だとして)って
なにかありますか?Mac OS 9だと不都合がありますでしょうか?

石津@RJC さんからのコメント
( Tuesday, February 29, 2000 11:54:55 )

MacOS9だと4Dにまだ不具合があるんじゃなかったかなと...。
と、それ以前に4D6.5系はまだ問題があるらしく、4D開発者の
間では6.0.x系が安定バージョンとして利用されているようで
すよ。詳細は私では説明できないんですが、そうした理由で
うちの4Dを利用したCGIは全部6.0.xで作られてます。
もちろんどの程度の作り込みをするかによるのでしょうが...。

たまちゃん さんからのコメント
( Tuesday, February 29, 2000 12:45:21 )

>ありがとうございます>たまちゃん(さん、ってつけるのヘンだから
>敬称略ってことで(^^;)

tamachan3@mac.com

なんてアドレスを持っています。(^_^;;

>で、Mac OS 8.6にOT2.6をインストールするってことは、Mac OS 9
>のものを入れるってことですよね。

私は Mac OS 9 が入っているマシンから持ってきました。

>Mac OS 8.6ベースで運用することの意味(OTは2.6だとして)って
>なにかありますか?Mac OS 9だと不都合がありますでしょうか?

個々のアプリケーションでの動作,不動作の問題はおいても,Mac OS 9 で
動かすことのメリットを見いだすことが出来ないという消極的な理由なんで
す。

おがさわら@東京工科大学 さんからのコメント
( Wednesday, March 01, 2000 10:34:27 )

>石津さん

>MacOS9だと4Dにまだ不具合があるんじゃなかったかなと...。

あらら。ACIのサイトには6.5.3以降は対応していると書いてあったですけ
ども、8.6のままの方が安全っぽいですね。最近始まったアカデミックディ
スカウントを利用して購入しようとしているので、6.0系は購入できない
んですよねぇ。

>たまちゃん

> 動かすことのメリットを見いだすこ
とが出来ないという消極的な理由なんで

サーバって安定して動かないとならないですからね。やっぱり枯れた
バージョンの方がいいということでしょうね。

とりあえず、現在は
CPU:PowerMacintosh 8600/200 144MB RAM
OS:Mac OS 8.6 + OpenTransport 2.6
httpd:WebSTAR 4.2
で動いています。
それ以外の設定は
メモリコントロールパネル
 ディスクキャッシュ:5120K
 仮想メモリ:ON
 RAMディスク:切

ちなみに現在はWebSTARだけで、Plug-InsはData CacheとSSI程度し
か入れていません。これからいろいろと評価をしていきたいと思いま
す。